<?php
session_start();
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: award_admin.php 
| CVS Version: 1.00
| Author: Ugleh
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
?>
<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."award_system/award_db.php";

if (!checkrights("AS1") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."award_system/locale/".$settings['locale'].".php")) {
    // Load the locale file matching the current site locale setting.
  include INFUSIONS."award_system/locale/".$settings['locale'].".php";
} else {
  // Load the infusion's default locale file.
  include INFUSIONS."award_system/locale/English.php";
}

define("FUSION_LINK", FUSION_SELF.$aidlink);
if(isset($_POST['save_award'])){
$awards_imageurl = stripinput($_POST['award_image']);
$awards_title = stripinput($_POST['award_title']);
$awards_description = stripinput($_POST['award_description']);
$make_public = 0;
if((isset($_POST['make_public'])) && ($_POST['make_public'] == "public"))
$make_public = 1;
$insert = dbquery("INSERT INTO ".DB_AWARDS_TABLE."  (`awards_id`, `awards_imageurl`, `awards_title`, `awards_description`, `make_public`) VALUES (NULL, '".$awards_imageurl."', '".$awards_title."', '".$awards_description."', '".$make_public."');");
}elseif(isset($_POST['edit_award'])){
$awards_imageurl = stripinput($_POST['award_image']);
$awards_title = stripinput($_POST['award_title']);
$awards_description = stripinput($_POST['award_description']);
$awards_id = stripinput($_POST['awards_id']);
$make_public = 0;
if((isset($_POST['make_public'])) && ($_POST['make_public'] == "public"))
$make_public = 1;
$update = dbquery("UPDATE ".DB_AWARDS_TABLE." SET awards_title='".$awards_title."', awards_imageurl='".$awards_imageurl."', awards_description='".$awards_description."', make_public='".$make_public."' WHERE awards_id='".$awards_id."'");
}

	$result = dbquery("SELECT * FROM ".DB_AWARDS_TABLE." ORDER BY awards_id");
	if (dbrows($result)) { 
		opentable($locale['as1_401']);
		echo "<form name='selectform' method='post' action='".FUSION_LINK."'>\n";
		echo "<div style='text-align:center'>\n<select name='awards_id' class='textbox'>\n";
		$sel = "";
		while ($data = dbarray($result)) {		
			if (isset($_POST['awards_id']) && isnum($_POST['awards_id'])) $sel = ($_POST['awards_id'] == $data['awards_id'] ? " selected='selected'" : "");
			echo "<option value='".$data['awards_id']."'$sel>".trimlink($data['awards_title'],20)."</option>\n";
		}
		echo "</select>\n<input type='submit' name='edit' value='".$locale['as1_edit']."' class='button' /><input type='submit' onclick='return DeleteGroup();'  name='delete' value='".$locale['as1_delete']."' class='button' />\n";
		echo "</div>\n</form>\n";
		closetable();
	}
	$image_files = makefilelist(IMAGES."awards", ".|..|index.php|.svn|.DS_Store", true);
	$make_public = "checked='checked'";
$awards_description = "";
$awards_title = "";
$awards_id = "";
$formtype = "save_award";
	if(isset($_POST['edit'])){
	$formtype = "edit_award";
			$result = dbquery("SELECT * FROM ".DB_AWARDS_TABLE." WHERE awards_id='".$_POST['awards_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
$awards_id = $_POST['awards_id'];
$awards_imageurl = $data['awards_imageurl'];
$awards_title = $data['awards_title'];
$awards_description = $data['awards_description'];
if($data['make_public'] == 1)
$make_public = "checked='checked'";
else
$make_public = "";
}
}elseif(isset($_POST['delete'])){
$result = dbquery("DELETE FROM ".DB_AWARDS_TABLE." WHERE awards_id='".$_POST['awards_id']."'");
redirect(FUSION_LINK);
}

			
		opentable((isset($_POST['edit']) ? $locale['as1_408'] : $locale['as1_402']));
	echo "<form name='addform' method='post' action='".FUSION_LINK."'>\n";
	echo "<table cellpadding='0' cellspacing='0' class='center'>\n";
		echo "</tr>\n<tr>\n<td class='tbl'>".$locale['as1_406']."</td>\n";
	echo "<td class='tbl'><select name='award_image' class='textbox'>\n";
			$sel = "";
foreach ($image_files as $v) {
if (isset($awards_imageurl))$sel = ($awards_imageurl == $v ? " selected='selected'" : "");
	echo "<option value='".$v."'$sel>".$v."</option>\n";
}

	echo "</select></td>\n";
	echo "<tr>\n<td class='tbl'>".$locale['as1_403']."</td>\n";
	echo "<td class='tbl'><input type='hidden' name='awards_id'value='$awards_id'/><input type='text' name='award_title' maxlength='255' class='textbox' value='$awards_title' style='width:200px' /></td>\n";
	echo "</tr>\n<tr>\n<td class='tbl'>".$locale['as1_404']."</td>\n";
	echo "<td class='tbl'><input type='text' name='award_description' class='textbox' value='$awards_description' maxlength='255'  style='width:200px' /></td>\n";
		echo "</tr>\n<tr>\n<td class='tbl'>".$locale['as1_407']."<a href=\"".BASEDIR."awards.php	\" target='_new'>[?]</a></td>\n";
	echo "<td class='tbl'><input type='checkbox' name='make_public' $make_public value='public'/></td>\n";
	echo "</tr>\n<tr>\n<td align='center' colspan='2' class='tbl'><br />\n";
	$formtypebutton = $locale['as1_405'];
	if(isset($_POST['edit']))
	$formtypebutton = $locale['as1_405b'];
	echo "<input type='submit' name='".$formtype."' value='".$formtypebutton."' class='button' /></td>\n";
	echo "</tr>\n</table>\n</form>";
	closetable();
echo "<script type='text/javascript'>\n";
echo "/* <![CDATA[ */\n";
echo "function DeleteAward() {\n";
echo "return confirm('".$locale['as1_409']."');\n}\n";
echo "/* ]]>*/\n";
echo "</script>\n";

		require_once THEMES."templates/footer.php";
?>