<?php
session_start();
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: awards.php 
| CVS Version: 1.00
| Author: Ugleh
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
?>

<?php
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

include INFUSIONS."award_system/award_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."award_system/locale/".$settings['locale'].".php")) {
    // Load the locale file matching the current site locale setting.
  include INFUSIONS."award_system/locale/".$settings['locale'].".php";
} else {
  // Load the infusion's default locale file.
  include INFUSIONS."award_system/locale/English.php";
}

define("FUSION_LINK", FUSION_SELF.$aidlink);

	$result = dbquery("SELECT * FROM ".DB_AWARDS_TABLE." WHERE make_public = '1' ORDER BY awards_title");
	if (dbrows($result)) {
		opentable($locale['as1_410']);
				echo "<div style='width:100%;overflow:auto'>\n";
		echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n<tr>\n";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['as1_411']."</strong></td>\n";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$locale['as1_412']."</strong></td>\n";
		echo "<td class='tbl2'><strong>".$locale['as1_413']."</strong></td>\n";
		echo "</tr>\n";
		
		while ($data = dbarray($result)) {		
		echo "<tr>";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong>".$data['awards_title']."</strong></td>\n";
		echo "<td width='1%' class='tbl2' style='white-space:nowrap'><strong><img src=\"".IMAGES."awards/".$data['awards_imageurl']."\" alt=\"".$data['awards_title']."\" title=\"".$data['awards_title']."\"></strong></td>\n";
		echo "<td class='tbl2'><strong>".$data['awards_description']."</strong></td>\n";
		echo "</tr>\n";
		}
		echo "</table></div>";
		
	closetable();
	}

		require_once THEMES."templates/footer.php";
?>